Skip to content
PATCH /unified/ticketing/collections/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

etagstring

The unique identifier for the specific version of the resource.

2 supported2 required
Microsoft 365
required
Microsoft Planner
required
typestring

The type of the collection

Possible values:
componentepicproductprojectsection
5 supported3 required
Pivotal Tracker
required
projectepic
Productboard
required
componentproduct
Todoist
required
projectsection
SolarWinds Service Desk
supported
Zoho Projects
supported
organizationobject
1 supported
Zoho Projects
supported
idstring

The unique identifier for a organization.

workspaceobject
References: Workspaces → id
4 supported1 required
Zoho Projects
required
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

custom_fields
3 supported
Planhat
supported
Quickbase for Project Management
supported
Wrike
supported
descriptionstring

The description of the collection

4 supported
Hive
supported
Pivotal Tracker
supported
Productboard
supported
Wrike
supported
flagstring
Possible values:
internalexternal
1 supported1 required
Zoho Projects
required
internalexternal
namestring

The name of the collection

10 supported1 required
Zoho Projects
required
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
Wrike
supported
parent_collectionobject

Set this value when type is component.

1 supported
Productboard
supported
idstring
required
type
required
Possible values:
componentproduct
parent_collection_idstring

The parent collection id

References: Collections → id
5 supported1 required
Zoho Projects
required
Pivotal Tracker
supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The status of the collection.

Possible values:
completedactive
1 supported1 required
Zoho Projects
required
completedactive
title
1 supported
Wrike
supported

Response Body

idstring
required·

The unique identifier for a collection

11 supported
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
Quickbase for Project Management
supported
SolarWinds Service Desk
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
created_atstring · date-time

The date and time when the collection was created

6 supported
Hive
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
Wrike
supported
Zoho Projects
supported
descriptionstring

The description of the collection

4 supported
Hive
supported
Pivotal Tracker
supported
Productboard
supported
Wrike
supported
entity_typestring

The type of entity that belongs to this collection

Possible values:
contactticket
etagstring

The unique identifier for the specific version of the resource.

2 supported
Microsoft 365
supported
Microsoft Planner
supported
namestring

The name of the collection

10 supported
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Pivotal Tracker
supported
Planhat
supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
parent_collection_idstring

The parent collection id

References: Collections → id
5 supported
Pivotal Tracker
supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
Zoho Projects
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the collection

4 supported
Pivotal Tracker
supported
SolarWinds Service Desk
supported
Todoist
supported
Zoho Projects
supported
updated_atstring · date-time

The date and time when the collection was updated

5 supported
Hive
supported
Pivotal Tracker
supported
Productboard
supported
Wrike
supported
Zoho Projects
supported
urlsobject[]

The URLs of the collection

5 supported
Productboard
supported
SolarWinds Service Desk
supported
Todoist
supported
Wrike
supported
Zoho Projects
supported
urlstring

The URL of the collection

workspaceobject
References: Workspaces → id
4 supported
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Zoho Projects
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X PATCH 'https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "description": "your_description",
  "parent_collection": {},
  "parent_collection_id": "your_parent_collection_id",
  "flag": "internal",
  "status": "completed",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "description": "your_description",
  "parent_collection": {},
  "parent_collection_id": "your_parent_collection_id",
  "flag": "internal",
  "status": "completed",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/collections/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/collections/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "description": "your_description",
    "parent_collection": {},
    "parent_collection_id": "your_parent_collection_id",
    "flag": "internal",
    "status": "completed",
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'ticketing',
  'collections',
  '<resource_id>',
  {
  "name": "your_name",
  "description": "your_description",
  "parent_collection": {},
  "parent_collection_id": "your_parent_collection_id",
  "flag": "internal",
  "status": "completed",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "ticketing",
        "collections",
        "<resource_id>",
        {
        "name": "your_name",
        "description": "your_description",
        "parent_collection": {},
        "parent_collection_id": "your_parent_collection_id",
        "flag": "internal",
        "status": "completed",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())